Package org.apache.uima.cas.impl

# Class LowLevelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.uima.UIMARuntimeException
org.apache.uima.cas.impl.LowLevelException

All Implemented Interfaces:
  `Serializable`, `I18nExceptionI`

public class LowLevelException extends UIMARuntimeException
Exception class for package org.apache.uima.cas.impl. Automatically generated from message catalog.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESS_TYPE_ERROR`
  Error in low-level CAS APIs: trying to access value FS reference {0} as type "{2}" (code: {1}), but is "{3}".
  `static final String`
  `ARRAY_INDEX_LENGTH_OUT_OF_RANGE`
  Error in low-level CAS APIs: array index and or length out of range.
  `static final String`
  `ARRAY_INDEX_OUT_OF_RANGE`
  Error in low-level CAS APIs: array index out of range: {0}.
  `static final String`
  `CREATE_ARRAY_OF_TYPE_ERROR`
  Error in low-level CAS APIs: can't create array of type "{1}" (code: {0}).
  `static final String`
  `CREATE_FS_OF_TYPE_ERROR`
  Error in low-level CAS APIs: can't create FS reference for type code {0}.
  `static final String`
  `FEAT_DOM_ERROR`
  Error in low-level CAS APIs: type "{1}" (code: {0}) does not define feature "{3}" (code: {2}).
  `static final String`
  `FEAT_RAN_ERROR`
  Error in low-level CAS APIs: feature "{1}" (code: {0}) does not take values of type "{3}" (code: {2}).
  `static final String`
  `FS_RAN_TYPE_ERROR`
  Error in low-level CAS APIs: trying to access value of feature "{1}" (code: {0}) as FS reference, but range of feature is "{2}".
  `static final String`
  `ILLEGAL_ARRAY_LENGTH`
  Error in low-level CAS APIs: illegal array length specified: {0}.
  `static final String`
  `INVALID_FEATURE_CODE`
  Error in low-level CAS APIs: {0} is not a valid feature code.
  `static final String`
  `INVALID_FS_REF`
  Error in low-level CAS APIs: accessing FS with id {0}, but no such FS exists in this CAS.
  `static final String`
  `INVALID_INDEX_TYPE`
  Error in low-level CAS APIs: trying to access index for invalid type code: {0}.
  `static final String`
  `INVALID_TYPE_ARGUMENT`
  Error in low-level CAS APIs: illegal type code argument: {0}.
  `static final String`
  `INVALID_TYPECODE`
  Invalid Type Code value: {0}.
  `static final String`
  `NULL_ARRAY_ACCESS`
  Error in low-level CAS APIs: attempting to access element {0} of array but array has null value.
  `static final String`
  `VALUE_NOT_A_TYPE`
  Error in low-level CAS APIs: attempt to interpret heap value {0} at {1} as type code, but {0} is not a valid type code.

  ### Fields inherited from class org.apache.uima.UIMARuntimeException

  `CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS, CAS_RELEASED_TO_WRONG_CAS_MANAGER, COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL, DEFINE_CAS_POOL_CALLED_TWICE, ECORE_UNRESOLVED_PROXY, FEATURE_NOT_FOUND_DURING_CAS_COPY, ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED, ILLEGAL_CAS_COPY_TO_SAME_CAS, ILLEGAL_FS_FEAT_UPDATE, INCOMPATIBLE_TAF_JNI_LIBRARY, INTERNAL_ERROR, NOT_SUPPORTED_NO_HEAP_IN_UIMA_V3, REQUESTED_TOO_MANY_CAS_INSTANCES, RESULT_SPEC_NULL, STANDARD_MESSAGE_CATALOG, TYPE_NOT_FOUND_DURING_CAS_COPY, UIMA_CONTEXT_NULL, UIMA_ECORE_NOT_FOUND, UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS, UNSUPPORTED_CAS_INTERFACE, VIEW_NOT_PART_OF_CAS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LowLevelException(String aMessageKey, Object... aArguments)`
  `LowLevelException(String aMessageKey, Object[] aArguments, Throwable aCause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResourceBundleName()`
  Gets the base name of the resource bundle in which the message for this exception is located.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.uima.UIMARuntimeException

  `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, initCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.I18nExceptionI

  `getLocalizedMessage, hasMessageKey`

- ## Field Details

  - ### INVALID_FS_REF

    public static final String INVALID_FS_REF
    Error in low-level CAS APIs: accessing FS with id {0}, but no such FS exists in this CAS.
    See Also:
      - Constant Field Values

  - ### VALUE_NOT_A_TYPE

    public static final String VALUE_NOT_A_TYPE
    Error in low-level CAS APIs: attempt to interpret heap value {0} at {1} as type code, but {0} is not a valid type code. This is likely caused by a bad FS reference.
    See Also:
      - Constant Field Values

  - ### INVALID_FEATURE_CODE

    public static final String INVALID_FEATURE_CODE
    Error in low-level CAS APIs: {0} is not a valid feature code.
    See Also:
      - Constant Field Values

  - ### FEAT_DOM_ERROR

    public static final String FEAT_DOM_ERROR
    Error in low-level CAS APIs: type "{1}" (code: {0}) does not define feature "{3}" (code: {2}).
    See Also:
      - Constant Field Values

  - ### FEAT_RAN_ERROR

    public static final String FEAT_RAN_ERROR
    Error in low-level CAS APIs: feature "{1}" (code: {0}) does not take values of type "{3}" (code: {2}).
    See Also:
      - Constant Field Values

  - ### FS_RAN_TYPE_ERROR

    public static final String FS_RAN_TYPE_ERROR
    Error in low-level CAS APIs: trying to access value of feature "{1}" (code: {0}) as FS reference, but range of feature is "{2}".
    See Also:
      - Constant Field Values

  - ### ACCESS_TYPE_ERROR

    public static final String ACCESS_TYPE_ERROR
    Error in low-level CAS APIs: trying to access value FS reference {0} as type "{2}" (code: {1}), but is "{3}".
    See Also:
      - Constant Field Values

  - ### ARRAY_INDEX_OUT_OF_RANGE

    public static final String ARRAY_INDEX_OUT_OF_RANGE
    Error in low-level CAS APIs: array index out of range: {0}.
    See Also:
      - Constant Field Values

  - ### ARRAY_INDEX_LENGTH_OUT_OF_RANGE

    public static final String ARRAY_INDEX_LENGTH_OUT_OF_RANGE
    Error in low-level CAS APIs: array index and or length out of range. index: {0}, length: {1}.
    See Also:
      - Constant Field Values

  - ### CREATE_FS_OF_TYPE_ERROR

    public static final String CREATE_FS_OF_TYPE_ERROR
    Error in low-level CAS APIs: can't create FS reference for type code {0}.
    See Also:
      - Constant Field Values

  - ### INVALID_INDEX_TYPE

    public static final String INVALID_INDEX_TYPE
    Error in low-level CAS APIs: trying to access index for invalid type code: {0}.
    See Also:
      - Constant Field Values

  - ### CREATE_ARRAY_OF_TYPE_ERROR

    public static final String CREATE_ARRAY_OF_TYPE_ERROR
    Error in low-level CAS APIs: can't create array of type "{1}" (code: {0}). Must be a valid (built-in) array type.
    See Also:
      - Constant Field Values

  - ### ILLEGAL_ARRAY_LENGTH

    public static final String ILLEGAL_ARRAY_LENGTH
    Error in low-level CAS APIs: illegal array length specified: {0}.
    See Also:
      - Constant Field Values

  - ### INVALID_TYPE_ARGUMENT

    public static final String INVALID_TYPE_ARGUMENT
    Error in low-level CAS APIs: illegal type code argument: {0}.
    See Also:
      - Constant Field Values

  - ### INVALID_TYPECODE

    public static final String INVALID_TYPECODE
    Invalid Type Code value: {0}.
    See Also:
      - Constant Field Values

  - ### NULL_ARRAY_ACCESS

    public static final String NULL_ARRAY_ACCESS
    Error in low-level CAS APIs: attempting to access element {0} of array but array has null value.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LowLevelException

    public LowLevelException(String aMessageKey, Object... aArguments)

  - ### LowLevelException

    public LowLevelException(String aMessageKey, Object[] aArguments, Throwable aCause)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`
    Returns:
      The same as getMessage(), but prefixed with `"LowLevelException: "`.

  - ### getResourceBundleName

    public String getResourceBundleName()
    Gets the base name of the resource bundle in which the message for this exception is located.
    Specified by:
      `getResourceBundleName` in interface `I18nExceptionI`
    Overrides:
      `getResourceBundleName` in class `UIMARuntimeException`
    Returns:
      the resource bundle base name. May return `null` if this exception has no message.